////////////////////////////
/// Programme principal
////////////////////////////

var mesImages = ["alpes.jpg", "gordes.jpg", "lavandes.png"];
var i = 1;

afficher_titre('Petit Diaporama');
creerBoutons();


//////////////////////////////////////////
// PARTIE Bibliothèque de Fonctions /////
//////////////////////////////////////////

function creerBoutons()
{
	var cible = document.querySelector("#cible");
	
	for ( let i = 0; i < mesImages.length; i++)
	{
		let choix = document.createElement("a");
		choix.innerHTML = mesImages[i];
		choix.addEventListener('click', afficherImage);
		cible.appendChild(choix);
	}
	
}

// Pour l'affichage du titre
function afficher_titre(texte)
{
	let titre = document.createElement('div');
	titre.setAttribute('class', 'alpha');
	titre.innerHTML = texte;
	document.body.appendChild(titre);
}

// Pour l'affichage de la bonne photo
function afficherImage(e) // "e" représente l'objet "Evènement" qui a déclenché l'appel
{
	var nom_image = e.target.innerHTML; // On récupère dans l'évènement l'objet balise concerné
	
	ma_diapo.src = "images/" + nom_image; // On modifie l'attribut "src" de <img id="la_diapo">
	info.innerHTML = nom_image; // Afficher le nom de la photo dans la zone de texte de la balise <figcaption id="info">
}

// Fonction utilisée dans l'activité 2
function automatic() 
{
	let nom_image = mes_images[i]; // On récupère le nom de l'image dans le tableau
	ma_diapo.src = "images/" + nom_image; // On modifie l'attribut "src" de <img id="la_diapo">
	info.innerHTML = nom_image; // Afficher le nom de la photo dans la zone de texte de la balise <figcaption id="info">
}

// 2 fonctions pour l'activité 2
function suivant() { i++; automatic();}

function precedent () { i--; automatic();}




